LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File python-qt5.changes of Package python-qt5 (Project home:alarrosa:branches:nowebkit)

-------------------------------------------------------------------
Fri Jun  2 11:22:22 UTC 2017 - jengelh@inai.de

- Trim redundant platform support mentions.

-------------------------------------------------------------------
Mon May 22 20:23:46 UTC 2017 - bwiedemann@suse.com

- Add reproducible.patch to sort input files to make build fully reproducible

-------------------------------------------------------------------
Tue May 16 17:57:51 UTC 2017 - toddrme2178@gmail.com

- Fix issues with requires.

-------------------------------------------------------------------
Fri Apr 21 12:59:55 UTC 2017 - mpluskal@suse.com

- Move requirements for development package to correct place

-------------------------------------------------------------------
Sat Apr  8 13:57:45 UTC 2017 - hpj@urpla.net

- Update to 5.8.2
  * lib/configure.py:
    Fixes for the OpenGL detection needed by the incompatible
    configuration changes in Qt v5.8.0.
  * qpy/QtCore/qpycore_chimera.cpp:
    When parsing a Python type map list and dict to QVariantList and
    QVariantMap.
  * lib/LICENSE.commercial, lib/LICENSE.commercial.short,
    lib/LICENSE.gpl, lib/LICENSE.gpl.short, lib/LICENSE.internal:
    Remove the license copies that are now part of rb-tools.
  * pyuic/uic/uiparser.py:
    Fixed the margins of the top layout in a tab by pyuic.
  * pyuic/uic/driver.py, pyuic/uic/exceptions.py,
    pyuic/uic/properties.py, pyuic/uic/pyuic.py:
    Improved the error handling of an unknown C++ class.
  * sphinx/qml.rst:
    Added explicit warnings about PyQt's ability to support QML to the
    docs.
  * PyQt5.msp:
    Added a comment about why opengl_types.sip is included twice.
  * PyQt5.msp:
    Only enable QOpenGLTextureBlitter if OpenGL is supported.
  * PyQt5.msp:
    Avoid a deadlock when using asynchronous image providers in QML.

- Update to 5.8.1
  * qpy/QtCore/qpycore_chimera.cpp:
    Special case a QVariant containing std::nullptr_t.
  * METADATA.in:
    Updated the Requires-Dist meta-data so it includes the values from
    the release file.
  * lib/configure.py:
    Disable desktop OpenGL if OpenGLES v3 or v3.1 is detected.
  * qpy/QtQml/qpyqml_register_type.cpp:
    Fixed the handling of properties in Qml because of changes to the
    internals in Qt v5.8.0.
  * PyQt5.msp:
    Fixed QLocale.toString() for Python v2.
  * PyQt5.msp:
    Anticipate that Qt v5.9.0 will be released before Qt v5.8.1 to avoid
    problems building PyQt v5.9 against Qt v5.8.1.
  * qpy/QtPrintSupport/qpyprintsupport_qlist.sip:
    The QtPrintSupport mapped types are only included if printers are
    supported.
  * sphinx/pyqt_qvariant.rst:
    Updated the docs regarding support for QVariant.
  * qpy/QtQml/qpyqmlobject.cpp:
    Fixed signals in QML registered types that are defined in a Python
    sub-class of the registered type.

-------------------------------------------------------------------
Wed Mar 29 15:09:37 UTC 2017 - toddrme2178@gmail.com

- Fix singlespec macro usage.  BuildRequires are shared between 
  python versions, only the requires should be specific to particular
  python versions.

-------------------------------------------------------------------
Fri Mar 24 06:14:17 UTC 2017 - lbeltrame@kde.org

- Temporarily undo some of the single spec changes to allow building
  until a newer python-dbus is available

-------------------------------------------------------------------
Mon Mar  6 20:51:00 UTC 2017 - toddrme2178@gmail.com

- Switch to single-spec version.
- Add doc-file-dependency to rpmlintrc to handle the example files.

-------------------------------------------------------------------
Wed Feb 15 19:06:06 UTC 2017 - termim@gmail.com

- Update to 5.8
  * Added support for Qt v5.8.0.
  * Added __fspath__() to QFileInfo.
  * Added the --qml-debug option to configure.py. The --debug option
    no longer enables the QML debugging infrastructure.
  * Added the --link-full-dll option to configure.py.
- Removed patches:
  * disable_qml_debug.diff - fixed upstream
  * fix_qreal_check.diff - not needed acording the package developer
  * license.diff - fixed upstream
  * obsolete_window_flag.diff - fixed upstream

-------------------------------------------------------------------
Tue Jan  3 19:30:49 UTC 2017 - termim@gmail.com

- Update to 5.7.1
  * added the QtWebEngine module
  * added QRegion.setRects()
  * added QtMac to the QtMacExtras module
  * added support for QChartView and QWebEngineView to pyuic5.

-------------------------------------------------------------------
Wed Nov 30 07:07:51 UTC 2016 - hrvoje.senjan@gmail.com

- Add obsolete_window_flag.diff: remore declaration that was removed
  in Qt 5.8 (it was WinCE-only)
- Add license.diff: QLibrary::Licensee is deprecated in Qt 5.8, and
  produce empty string. We know we are always building opensource
  Qt.

-------------------------------------------------------------------
Tue Nov 15 10:41:24 UTC 2016 - lbeltrame@kde.org

- Remove Source URL, the validator doesn't work too well with
  SourceForge

-------------------------------------------------------------------
Mon Nov 14 19:59:32 UTC 2016 - hpj@urpla.net

- add patch to disable qml_debug: disable_qml_debug.diff.
  Without this, the message "QML debugging is enabled. Only use
  this in a safe environment."  appears on PyQt5 apps startup,
  and allows qmljsdebugger to  connect via network.

-------------------------------------------------------------------
Tue Nov  8 15:21:49 UTC 2016 - hpj@urpla.net

- make utils dependent on exact version

-------------------------------------------------------------------
Tue Jul 26 17:59:41 UTC 2016 - termim@gmail.com

- Update to 5.7
  * Added support for Qt v5.7.0.
  * Removed patch pyqt5-fix-dbus-config.diff as applyed upstream

-------------------------------------------------------------------
Mon Jul  4 06:02:41 UTC 2016 - hpj@urpla.net

- Update to 5.6
  * Added full support for Qt v5.6.0.
  * Python v3.5 wheels are available for 64-bit Linux, 64-bit OS X
    and 32 and 64-bit Windows. (After this release Windows .exe
    installers will no longer be produced.)
  * Added the QtWebEngineCore module.
  * Added the missing qt_set_sequence_auto_mnemonic() to QtGui.
  * Added the missing MouseLock to QWebEnginePage.Feature.
  * Added the missing WA_DontShowOnScreen.
  * PEP 484 stub files are installed by default.
  * Added the --import-from command line argument to pyuic5.
  * Added the --no-stubs and --stubsdir options to configure.py.
  * Added the --qtconf-prefix option to configure.py.
- add PATCH-FIX-OPENSUSE pyqt5-fix-dbus-config.diff to fix build of
  dbus bindings
- supply %{optflags} to the QMAKE machinery
- add libqt5-qtlocation-devel build dependency

-------------------------------------------------------------------
Sun Jun  5 00:20:18 UTC 2016 - hrvoje.senjan@gmail.com

- Drop unused libqt5-qtquick1-devel (Build)Requires

-------------------------------------------------------------------
Mon Mar  7 15:29:44 UTC 2016 - dvaleev@suse.com

- Don't buildrequire libqt5-qtwebengine-devel for POWER and s390x

-------------------------------------------------------------------
Mon Feb  1 06:29:22 UTC 2016 - lbeltrame@kde.org

- BuildRequire libqt5-qtconnectivity-devel to gain support for
  QtBluetooth (bnc#964256)

-------------------------------------------------------------------
Fri Oct 30 18:17:37 UTC 2015 - termim@gmail.com

- Update to 5.5.1
  * added support for Qt v5.5.1
  * added the --disable option to configure.py
  * implemented __matmul__ and __imatmul__ for QMatrix4x4 and
    QTransform.

-------------------------------------------------------------------
Fri Aug 14 03:40:56 UTC 2015 - termim@gmail.com

- change required sip version to 4.16.9

-------------------------------------------------------------------
Mon Jul 20 15:39:53 UTC 2015 - termim@gmail.com

- remove patch build-compare.diff as adapted in upstream
- Update to 5.5
  * Added full support for Qt v5.5.0.
  * Added the QtLocation module.
  * Added the QtNfc module.
  * Added Qt.NoOpaqueDetection amd Qt.NoFormatConversion to QtCore.
  * Added QMacToolBar and QMacToolBarItem to QtMacExtras.
  * Added QProxyStyle to QtWidgets.
- Update to 5.4.2
  * Added support for Qt v5.4.2.
  * Added QWIDGETSIZE_MAX to QtWidgets.
  * Added the --no-python-dbus command line option to configure.py.
- Update to 5.4.1
  * Added support for Qt v5.4.1.
  * Added the QMacCocoaViewContainer class.
  * All OpenGL examples use QOpenGLWidget and no longer require
    PyOpenGL.
  * Added initial implementations of _QOpenGLFunctions_2_1 and
    _QOpenGLFunctions_4_1_Core.
  * QEvent.None is now QEvent.None_.
  * Added missing QEvent.Type members that are now documented in Qt.
  * Added the --license-dir option to configure.py.
  * Installing into a virtual env should now work.
  * pyuic5 and pyrcc5 no longer include a timestamp in the
    generated code.

-------------------------------------------------------------------
Fri Jan 16 20:32:07 UTC 2015 - hrvoje.senjan@gmail.com

- Enable QtWebEngineWidgets and QtWebChannel integration
- Update build-compare.diff
- Drop fdupes usage due to unpredictable symlinking
- Add rpmlintrc due to duplicates waste warnings: we rather have
  a few bytes more than to republish same binaries due to fdupes

-------------------------------------------------------------------
Tue Dec 30 20:09:15 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 5.4
  * Major functional release that adds full support for Qt v5.4.0.
  * Added the QtWebChannel module
  * Added the QtWebEngineWidgets module
  * Added the QtXml module.
- Drop add_dep.patch, merged upstream
- Bump python(3)-sip-devel (Build)Requires to 4.16.4

-------------------------------------------------------------------
Sat Oct 11 21:08:39 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 5.3.2
  * Added the Enginio module.
  * Added the QJsonDocument and QJsonValue classes.
  * QJsonObject is implemented as a Python dict.
  * QJsonArray is implemented as a Python list.
  * Added setUnifiedTitleAndToolBarOnMac() and
    unifiedTitleAndToolBarOnMac() to QWidget.
  * Added windowHandle() to QWidget.
- Drop usage of rversion, use version directly
- Disable disable-rpaths.diff, upstream removed RPATH usage in this
  release

-------------------------------------------------------------------
Wed Sep 10 06:29:27 UTC 2014 - hrvoje.senjan@gmail.com

- Added add_dep.patch: make the buildsystem know that QtPrintSUpport
  module is needed for QtWebkitWidgets one, previously the build
  only succeeded due to QTBUG-39249

-------------------------------------------------------------------
Sun Jul  6 00:59:36 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 5.3.1
  * minor bug-fix release

-------------------------------------------------------------------
Wed Jun 25 01:29:45 UTC 2014 - hrvoje.senjan@gmail.com

- Drop link-python.diff, it's unused

-------------------------------------------------------------------
Thu May 29 20:49:46 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 5.3
  * By default a Python slot is only invoked if the underlying C++
    instance still exists.
  * Added the no_receiver_check argument to connect().
  * Added support for Qt v5.3.0.
  * Added the QtQuickWidgets module.
  * Added the QtWebSockets module.
  * Added the --target_py_version, --sysroot and --no-tools option
    to configure.py.
  * Cross-compilation (specifically to iOS and Android) is now supported
- Drop qglobal.patch, included in this release
- Added libqt5-qtwebsockets-devel BuildRequires
- Bump required python(3)-sip-devel version to 4.16

-------------------------------------------------------------------
Fri May 16 19:38:53 UTC 2014 - hrvoje.senjan@gmail.com

- Added qglobal.patch, to resolve build failure with Qt 5.3 API

-------------------------------------------------------------------
Sun May  4 15:06:38 UTC 2014 - i@marguerite.su

- added missing qtmultimedia/qtserialport/qtxmlpatterns modules.

-------------------------------------------------------------------
Fri Mar 21 22:36:04 UTC 2014 - hrvoje.senjan@gmail.com

- Update to 5.2.1
  * Full support for Qt v5.2.1.
  * Properties, signals and slots can now be defined in mixins
    (i.e. non-QObject classes).
  * Support for creating QSGGeometry.AttributeSet instances.
  * Fundamental values may now be given whenever a QJSValue
    is expected.
  * Building PyQt5 as static libraries now works.
  * Support for building without OpenGL.
- Bump sip BuildRequire to current requirements (4.15.5). Also,
  that is now minimal requires for devel subpackages
- Rebase disable-rpaths.diff for this release
- Disable fix_qreal_check.diff, for now the issue is fixed with
  Qt >= 5.2
- Drop checks for ancient releases

-------------------------------------------------------------------
Thu Feb  6 20:51:47 UTC 2014 - hrvoje.senjan@gmail.com

- Added fix_qreal_check.diff, fixes build on arm

-------------------------------------------------------------------
Fri Jan 10 22:11:23 UTC 2014 - lbeltrame@kde.org

- Use %ghost with files generated by update-alternatives

-------------------------------------------------------------------
Fri Jan 10 19:48:33 UTC 2014 - lbeltrame@kde.org

- New upstream release 5.2:
    - Full support for Qt5.2
    - Support added for the QtBluetooth, QtPositioning, QtMacExtras,
      QtWinExtras and QtX11Extras
- Fix SNAFU in preun scriptlet (missing spaces)

-------------------------------------------------------------------
Tue Dec 17 03:00:16 UTC 2013 - hrvoje.senjan@gmail.com

- Move away from pkgconfig(...) BuildRequires and just use
  libqt5-$upstreammodulename-(devel|private-headers-devel)

-------------------------------------------------------------------
Mon Oct 21 17:01:45 UTC 2013 - hrvoje.senjan@gmail.com

- Fix Requires for the devel packages

-------------------------------------------------------------------
Sun Oct 20 12:04:00 UTC 2013 - lbeltrame@kde.org

- Use alternatives to prevent conflicts between Python 2 and Python 3
  tools

-------------------------------------------------------------------
Thu Oct 17 15:40:06 UTC 2013 - toddrme2178@gmail.com

- New upstream release (5.1.1):
  * Bugfixes
- Rebase disable-rpaths.diff

-------------------------------------------------------------------
Sat Oct  5 07:19:57 UTC 2013 - lbeltrame@kde.org

- New upstream release (5.1):
  * Full support for Qt 5.1
  * Support for QtSensors and QtSerialPort modules
  * Almost complete set of bindings for OpenGL 2.0 and OpenGL ES/2
- Bump required SIP version

-------------------------------------------------------------------
Wed Sep 11 18:43:53 UTC 2013 - lbeltrame@kde.org

- New upstream release (5.0.1):
  * Added the QtQuick module including the ability to create
    Python Quick items from QML.
  * Added the QtQml module including the ability to create Python objects from
    QML.
  * Added the QtMultimediaWidgets module.
  * Completed the implementation of the QtMultimedia module including support
    for cameras and radios.
  * Added the remaining OpenGL classes to the QtGui module.
  * Added the revision keyword argument to pyqtProperty().
  * Added the revision and arguments keyword arguments to pyqtSignal().
  * Added the revision keyword argument to pyqtSlot().
  * Added the pyqt5qmlplugin plugin for qmlscene.
  * The DBus main loop module has been renamed to dbus.mainloop.pyqt5
    from dbus.mainloop.qt.
  * Added the --no-qml-plugin and --qml-plugindir options to configure.py.
  * Added many QtMultimedia, QML and QtQuick related examples.
  * Classes now support co-operative multi-inheritance. (This may
    introduce incompatibilities with PyQt v5.0.)
- Drop mainloop_rename.diff (merged upstream)

-------------------------------------------------------------------
Tue Aug  6 16:14:36 UTC 2013 - lbeltrame@kde.org

- Add Patch3 to fix the dbus mainloop lib name (already upstream)

-------------------------------------------------------------------
Mon Aug  5 17:00:28 UTC 2013 - lbeltrame@kde.org

- Initial package for PyQt5.